import Swoop from './swoop.js';

// initialize the Swoop SDK
let swoopClientIdMeta = document.querySelector('meta[name="swoop-client-id"]');
let sid = swoopClientIdMeta ? swoopClientIdMeta.content : null;

window.swoop = new Swoop(sid, {
  endpoint: 'https://app.swoop.email',
  apiEndpoint: 'https://api.swoop.email',
  onUserMeta: typeof swoopUserMeta !== 'undefined' ? swoopUserMeta : null,
  onSuccess: typeof swoopOnSuccess !== 'undefined' ? swoopOnSuccess : null,
  onShow: typeof swoopOnShow !== 'undefined' ? swoopOnShow : null,
  onLoading: typeof swoopOnLoading !== 'undefined' ? swoopOnLoading : null,
  onClose: typeof swoopOnClose !== 'undefined' ? swoopOnClose : null,
  onError: typeof swoopOnError !== 'undefined' ? swoopOnError : null
});

// if (window.addEventListener) {
window.addEventListener('load', function() {
  let args = new URLSearchParams(window.location.search);
  let code = args.get("code");
  if (code) {
    window.swoop.checkForSwoopOauth2Code(code);
  }
  args.delete('code');
  args.delete('state');
  let separator = Array.from(args).length === 0 ? "" : "?"
  window.history.replaceState({}, '', `${location.pathname}${separator}${args}`);

  window.swoop.button();

});
// Listen to message from child window      
window.addEventListener('message', function(event) {
  let response = event.data;
  if (response.code) {
    let code = response.code;
    window.swoop.checkForSwoopOauth2Code(code);
  }
}, false);
// Initially to handle old IE
// } else {
//   window.attachEvent('onload', function() {
//     let args = new URLSearchParams(window.location.search);
//     let code = args.get("code");
//     window.swoop.checkForSwoopOauth2Code(code);
//     args.delete('code');
//     args.delete('state');
//     let separator = Array.from(args).length === 0 ? "" : "?"
//     window.history.replaceState({}, '', `${location.pathname}${separator}${args}`);
//   });
// }

export default Swoop;