require('./swoop-button-style.css');
import copyEnvelopeWhite from './assets/copy-envelope-white.svg';

export default class SwoopButton {
  constructor(element, options = {}) {
    // Todo get data selectors from element
    this.element = element;
    this.email = options.email || '';

    this.backgroundColor = this.element.dataset.backgroundColor || null;
    this.textColor = this.element.dataset.textColor || null;

    this.init();
  }

  init() {
      this.element.addEventListener('click', this.handleClick.bind(this));

      let svg = `<svg id="id_copy_image" width="25" height="20" viewBox="0 0 25 20" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path d="M22.1857 16.3364H5.21102C4.49025 16.3364 3.90527 15.7515 3.90527 15.0307V1.97323C3.90527 1.25245 4.49025 0.66748 5.21102 0.66748H22.1857C22.9065 0.66748 23.4915 1.25245 23.4915 1.97323V15.0307C23.4915 15.7515 22.9065 16.3364 22.1857 16.3364Z" stroke="white" stroke-width="1.30575" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
      <path d="M6.5166 4.58496L13.6982 10.4608L20.8798 4.58496" stroke="white" stroke-width="1.30575" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
      <path d="M6.5166 12.4191L8.47522 10.4604" stroke="white" stroke-width="1.30575" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
      <path d="M20.8795 12.4191L18.9209 10.4604" stroke="white" stroke-width="1.30575" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
      <path d="M19.6056 18.9477H2.63094C1.91017 18.9477 1.3252 18.3627 1.3252 17.6419V4.58447" stroke="white" stroke-width="1.30575" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
      </svg>`;

      if (this.textColor) {
        svg = svg.replace(/white/g, this.textColor);
      }

      this.element.innerHTML = `
      <button style="
        ${this.backgroundColor ? `background-color: ${this.backgroundColor};` : ``}
        ${this.textColor ? `color: ${this.textColor}` : ``}
      ">      
        ${svg}
        Log In with 1-Click
        </button>           
    `;
  }

  handleClick(event) {
    event.preventDefault();
    let data = {
      ...this.element.dataset,
    };
    let userMeta = null;
    if (Object.keys(data).length) {
      userMeta = data;
    }
    window.swoop.in(userMeta);
  }
}